Subject: Re: bug#64597: mode-line tool inaccessible when window width is small

From: uzibalqa <[email-masked]>
Date: Sat, 15 Jul 2023 11:23:40 +0000

------- Original Message -------
On Saturday, July 15th, 2023 at 6:00 PM, Eli Zaretskii <[email-masked]> wrote:

> tags 64597 notabug wontfix
> thanks
> 
> > Date: Fri, 14 Jul 2023 21:25:29 +0000
> > From: uzibalqa [email-masked]
> > Cc: [email-masked]
> > 
> > > > When a window is reduced in size I find no way to be able to use the mode-line tools.
> > > 
> > > What do you mean by "mode-line tools", and how short does the
> > > mode-line have to be in order to see the problems you see?
> > > 
> > > IOW, please provide a complete recipe to reproduce this problem,
> > > starting from "emacs -Q", so that the problem and the way to reproduce
> > > it will be clear.
> > > 
> > > Thanks.
> > 
> > Suppose I have a bunch of self-defined minor modes displayed in the modeline,
> > where the lighters have the capability of showing menus (e.g. Outl).
> > 
> > Now, consider I need an accessible modeline (i.e. one with big font and bold weight).
> > Reducing the frame or window width makes the lighters at the far end of the modeline
> > inaccessible for use.
> 
> 
> You can try setting mode-line-compact non-nil. If even that doesn't
> solve your problem because you make your frames too narrow, or have
> too many minor mode lighters active at the same time, then there's
> nothing else Emacs can do: the fact that the mode line is a single
> screen line is currently a hard restriction in the design of the Emacs
> display, and so extra mode-line elements are truncated on display.

The compact setting replaces multiple spaces with a single space.  It does
not really solve the problem.

Wontfix is not a good decision.  Changes window sizes is a very common
occurrence.  Having a hard restriction on the mode-line is quite bad design
to continue working with.   Especially when package-defined and self-defined 
minor modes are becoming quite common.